Subject: bug#15156: 24.3; !MEM FULL!

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 21 Aug 2013 22:54:45 +0200

"Sebastien Vauban" wrote:
> Quite a couple of times, I've MEM FULL problems with Emacs 24.3.1 under
> Windows. It begins at no particular time, when editing a buffer.
>
> Emacs begins to take 33% of CPU, fans make noise, and after some time, I've
> got the following warning:
>
>     Emergency (alloc): Warning: past 95% of memory limit
>
> Emacs answers only after long amount of time, like if it was in an infloop,
> but it is not.
>
> I could profile during such a nasty event:
>
>     http://screencast.com/t/RXyxvn90zs
>
> Suggestions?

FWIW, I keep the faulty instance running for the moment, if I can do something
smart on it, to extract useful information.

-- 
Sebastien Vauban